# Generated by rust2rpm 10
%bcond_without check
%global debug_package %{nil}

%global crate flate2

Name:           rust-%{crate}
Version:        1.0.9
Release:        1%{?dist}
Summary:        DEFLATE compression and decompression exposed as Reader/Writer streams

# Upstream license specification: MIT/Apache-2.0
License:        MIT or ASL 2.0
URL:            https://crates.io/crates/flate2
Source:         %{crates_source}
# Initial patched metadata
# * No wasm32
# * Update quickcheck to 0.8, https://github.com/alexcrichton/flate2-rs/pull/182
Patch0:         flate2-fix-metadata.diff

ExclusiveArch:  %{rust_arches}
%if %{__cargo_skip_build}
BuildArch:      noarch
%endif

BuildRequires:  rust-packaging

%global _description %{expand:
Bindings to miniz.c for DEFLATE compression and decompression exposed as
Reader/Writer streams. Contains bindings for zlib, deflate, and gzip-based
streams.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%license LICENSE-MIT LICENSE-APACHE
%doc README.md
%{cargo_registry}/%{crate}-%{version}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+futures-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+futures-devel %{_description}

This package contains library source intended for building other packages
which use "futures" feature of "%{crate}" crate.

%files       -n %{name}+futures-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+libz-sys-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+libz-sys-devel %{_description}

This package contains library source intended for building other packages
which use "libz-sys" feature of "%{crate}" crate.

%files       -n %{name}+libz-sys-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+miniz-sys-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+miniz-sys-devel %{_description}

This package contains library source intended for building other packages
which use "miniz-sys" feature of "%{crate}" crate.

%files       -n %{name}+miniz-sys-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+miniz_oxide_c_api-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+miniz_oxide_c_api-devel %{_description}

This package contains library source intended for building other packages
which use "miniz_oxide_c_api" feature of "%{crate}" crate.

%files       -n %{name}+miniz_oxide_c_api-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+rust_backend-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rust_backend-devel %{_description}

This package contains library source intended for building other packages
which use "rust_backend" feature of "%{crate}" crate.

%files       -n %{name}+rust_backend-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+tokio-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+tokio-devel %{_description}

This package contains library source intended for building other packages
which use "tokio" feature of "%{crate}" crate.

%files       -n %{name}+tokio-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+tokio-io-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+tokio-io-devel %{_description}

This package contains library source intended for building other packages
which use "tokio-io" feature of "%{crate}" crate.

%files       -n %{name}+tokio-io-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+zlib-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+zlib-devel %{_description}

This package contains library source intended for building other packages
which use "zlib" feature of "%{crate}" crate.

%files       -n %{name}+zlib-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Fri Jun 21 21:23:28 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.9-1
- Update to 1.0.9

* Thu Mar 14 2019 Josh Stone <jistone@redhat.com> - 1.0.7-1
- Update to 1.0.7

* Sun Mar 10 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.6-3
- Do not pull optional dependencies

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Thu Dec 06 2018 Josh Stone <jistone@redhat.com> - 1.0.6-1
- Update to 1.0.6

* Wed Nov 28 2018 Josh Stone <jistone@redhat.com> - 1.0.5-1
- Update to 1.0.5

* Sun Nov 04 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.4-2
- Adapt to new packaging

* Mon Oct 22 2018 Josh Stone <jistone@redhat.com> - 1.0.4-1
- Update to 1.0.4

* Thu Oct 04 2018 Josh Stone <jistone@redhat.com> - 1.0.3-1
- Update to 1.0.3

* Mon Sep 10 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.2-2
- Bump quickcheck to 0.7

* Sat Aug 04 2018 Josh Stone <jistone@redhat.com> - 1.0.2-1
- Update to 1.0.2

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Jan 13 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.1-1
- Initial package
